package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmstruckSporadicOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmstruckSporadicOrderMapper extends IBaseMapper<AmstruckSporadicOrder, BigDecimal> {

    @Select("select seq__SPORADIC_ORDER.nextval from dual")
    BigDecimal selectSporadicOrderId();

    // 查询零星物资订单列表
    List<Map<String, Object>> getSporadicOrdersList(Map<String, Object> mapValue);

    // 查询物资详情
    List<Map<String, Object>> seeAllMaterials(Map<String, Object> mapValue);

    // 根据零星订单id查询修改渲染
    List<Map<String, Object>> selectSporadicOrder(BigDecimal sporadicOrderId);
}